import { y as s, c as u } from "../index.esm--ZdnNCdl.js";
import "../_commonjsHelpers-2ufMB8rV.js";
const t = /^([0-9])*$/, d = /^[a-zA-Z]{2}\d{6}$/, E = "Debe seleccionar un tipo de documento", i = "Valor ingresado no válido", g = "Debe ingresar la razón social", a = "Debe ingresar un número de documento válido", D = "Este campo es obligatorio", n = {
  CC: "13",
  NIT: "31",
  CE: "22",
  TI: "21",
  R: "0",
  P: "41",
  X: "0"
}, o = {
  CC: "CC",
  NIT: "NIT",
  CE: "CE",
  TI: "TI",
  R: "R",
  P: "P",
  X: "X"
}, c = (m = "tipo_documento") => u().when([m], ([e], r) => {
  switch (!0) {
    case (e == n.NIT || e == o.NIT):
      return r.matches(t, i).min(9, "El NIT debe tener mínimo 9 dígitos").max(9, "El NIT debe tener máximo 9 digitos").required("Debe ingresar un número de documento");
    case (e == n.CE || e == o.CE):
      return r.matches(t, i).min(6, "La CEDULA DE EXTRAJERIA debe tener mínimo 6 dígitos").max(8, "La CEDULA DE EXTRAJERIA debe tener máximo 8 dígitos").required("Debe ingresar un número de documento");
    case (e == n.P || e == o.P):
      return r.matches(d, a).required("Debe ingresar un número de documento");
    case (e == n.R || e == n.TI || e == o.R || e == o.TI):
      return r.matches(t, i).min(10, "El número de documento a ingresar debe tener mínimo 10").max(11, "El número de documento a ingresar debe tener máximo 11").required("Debe ingresar un número de documento");
    default:
      return r.matches(t, i).min(7, a).max(12, a).required("Debe ingresar un número de documento");
  }
}), C = { ...s, validateDocNumber: c };
export {
  D as campoObligatorio,
  C as default,
  n as docTypes,
  o as docTypesByKey,
  i as invalidValue,
  a as numDocValid,
  d as numeroPasaporte,
  t as onlyNumbers,
  E as requiredDoc,
  g as requiredSocialReason,
  c as validateDocNumber
};
